# Remove Recommended Supplement

Use `deleteArticleRecommended` to remove recommended article using Id.

## Required Arguments

| Argument               | Type | Description                |
| ---------------------- | ---- | -------------------------- |
| `articleRecommendedId` | ID!  | Recommended Supplement Id. |

## Available Fields

| Field     | Type   | Description                                                       |
| --------- | ------ | ----------------------------------------------------------------- |
| `success` | String | Success if Recommended Supplement created succesfully.            |
| `message` | String | Description of the result. Either if the recipe was added or not. |

## Example

{% tabs %}
{% tab title="Query" %}

```graphql
mutation deleteArticleRecommended {
    deleteArticleRecommended(id: "QXJ0aWNsZVJlY29tbWVuZGVkOjE=") {
        success message
        articleRecommended {
            id valueMax valueMin article { id title }
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "deleteArticleRecommended": {
      "success": true,
      "message": "Article recommended deleted",
      "articleRecommended": {
        "id": "QXJ0aWNsZVJlY29tbWVuZGVkOjE=",
        "valueMax": 150,
        "valueMin": 1,
        "article": {
          "id": "Q29udGVudExpYnJhcnk6NzAwMThkNjYtZDMyMC00MzIyLWFlMDktYTU5N2Q5YjdkNGU1",
          "title": "My content library"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/lab-tests/remove-recommended-supplement-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
